
Redmine - Defect #6915

Error message when project can not be archived should be better (or documented)

2010-11-16 19:30 - Andrew Sherman

Status: New Start date: 2010-11-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

to repro:

create a new project "test"

create a child of "test" named "child"

create a version for the "child" project

create an issue in "test" and assign it to the "child" version

go to Administration/Project screen and click the archive link for child

click "yes" to the "are you sure" dialog

Issue:

The error "This project can not be archived" appears.

If this is the only reason this error can appear than it should be made more descriptive ("This project can not be archived because

another project has an issue assigned to one of it's versions" or add documentation on redmine.org which explains this problem.

Related issues:

Has duplicate Redmine - Defect #6906: Project can not be archived Closed 2010-11-16

History

#1 - 2010-11-16 19:32 - Andrew Sherman

refs #6906

#2 - 2010-11-16 20:09 - Jean-Philippe Lang

- Category set to Projects

#3 - 2015-01-05 11:45 - Michael Stucki

Had the same problem, here is how I fixed it.

Say you want to archive the project with ID 534:

mysql> SELECT id,project_id,fixed_version_id FROM issues WHERE fixed_version_id IN (SELECT id FROM versions WH

ERE project_id=534) AND project_id!=534;

 This prints all issues which refer to a version of the selected project.
